.studentAssignResult {
    height: 100%;
    width: 100%;
    overflow: auto;
    display: flex;
    flex-direction: column;
    gap: 20px;
    align-items: center;

    .result-item {
        width: 100%;
        max-width: 450px;
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 24px;
        gap: 20px;
        background-color: #FFF;
        border-radius: 8px;

        .title {
            width: 100%;
            span {
                display: block;
                font-weight: 700;
                font-size: 13px;
                line-height: 20px;
                color: #EF4E2B;
                text-align: center;

                overflow: hidden;
                white-space: nowrap;
                text-overflow: ellipsis;
            }
        }

        .content {
            display: flex;
            flex-direction: row;
            align-items: center;
            width: 100%;

            .item-left {
                width: 60%;
                display: flex;
                flex-direction: column;
                justify-content: center;
                align-items: flex-start;
                padding: 10px 24px;
                gap: 10px;

                span {
                    font-weight: 600;
                    font-size: 13px;
                    line-height: 20px;
                    color: #8B5252;
                }
            }

            .item-right {
                width: 40%;
                display: flex;
                flex-direction: column;
                justify-content: center;
                align-items: flex-start;
                padding: 10px 24px;
                gap: 10px;

                span {
                    font-weight: 400;
                    font-size: 13px;
                    line-height: 20px;
                    color: #202226;
                }
            }
        }

        .button{
            height: 40px;
            width: 100%;
            --rs-btn-primary-bg: #EF4E2B;
            --rs-btn-primary-active-bg: #EF4E2B;
            --rs-btn-primary-hover-bg: #EF4E2B;
            --rs-btn-primary-text: #FFFFFF;
            transition: none;
            outline: none;
            border-radius: 8px;
        }
    }

    .no-result{
        height: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        gap: 18px;

        span{
            font-weight: 500;
            font-size: 13px;
            line-height: 20px;
            color: #545454;
        }

        button{
            width: 100%;
            border-radius: 40px;

            --rs-btn-ghost-text: #8E91A0;
            --rs-btn-ghost-active-text: #8E91A0;
            --rs-btn-ghost-hover-text: #8E91A0;

            --rs-btn-ghost-border: #8E91A0;
            --rs-btn-ghost-active-border: #8E91A0;
            --rs-btn-ghost-hover-border: #8E91A0;

            background-color: #FFF;
            outline: none;
            font-weight: 600;
            font-size: 16px;
            line-height: 24px;
        }
    }
}

.back {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 5px;
    width: max-content;
    cursor: pointer;

    svg {
        transform: rotate(180deg);
    }
}